Bug 10765 - s390 and s390 needs to run with 'use mmap = no' by default
s390 and s390 needs to run with 'use mmap = no' by default
Status: ASSIGNED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
s390 Linux
: P5 normal
: ---
Assigned To: Lars Müller
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-08 14:34 UTC by Lars Müller
Modified: 2017-04-13 11:52 UTC (History)
2 users (show)

See Also:


Attachments
Detect s390(x) architecture and blacklist nmap (554 bytes, patch)
2014-08-08 14:44 UTC, Lars Müller
no flags Details
replace/wscript: Detect if we have a s390(x) system (2.02 KB, patch)
2014-08-12 21:05 UTC, Lars Müller
no flags Details
Detect s390(x) architecture and blacklist nmap (2.19 KB, patch)
2014-08-13 10:26 UTC, Lars Müller
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2014-08-08 14:34:25 UTC
See https://bugzilla.samba.org/show_bug.cgi?id=1032 and http://www.mail-archive.com/linux-390@vm.marist.edu/msg11467.html

If we detect the machine architecture is s390 or s390x we MMAP_BLACKLIST 1
Comment 1 Lars Müller 2014-08-08 14:44:44 UTC
Created attachment 10186 [details]
Detect s390(x) architecture and blacklist nmap
Comment 2 David Disseldorp 2014-08-08 16:15:20 UTC
(In reply to comment #1)
> Created attachment 10186 [details]
> Detect s390(x) architecture and blacklist nmap


HAVE_INCOHERENT_MMAP might be more suitable for master, as ntdb doesn't appear to check for HAVE_MMAP or MMAP_BLACKLIST.
Please also sign your patch when once finalised and tested.
Comment 3 David Disseldorp 2014-08-08 16:17:53 UTC
docs-xml/smbdotconf/tuning/usemmap.xml should also be updated to cover HPUX _and_ s390[x].
Comment 4 Lars Müller 2014-08-12 21:05:43 UTC
Created attachment 10197 [details]
replace/wscript: Detect if we have a s390(x) system
Comment 5 Lars Müller 2014-08-13 10:26:36 UTC
Created attachment 10198 [details]
Detect s390(x) architecture and blacklist nmap
Comment 6 Björn Jacke 2014-10-16 11:46:26 UTC
instead of hard coding that this architecture is broken, which might get fixed in the future ... do you have an idea why the test from ./lib/replace/test/incoherent_mmap.c doesn't detect the mmap misbehaviour?
Comment 7 David Disseldorp 2017-04-13 11:51:41 UTC
It seems that the underlying s390 memory management bug may have been fixed via CVE-2016-2143 - see:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-2143
https://bugzilla.suse.com/show_bug.cgi?id=970504

We're still carrying Lars's patch locally, but I think it's worth checking whether we can now run without it (on a system carrying the CVE-2016-2143 fix).
@Aurélien: any chance you could try to test this?
Comment 8 David Disseldorp 2017-04-13 11:52:47 UTC
Comment on attachment 10198 [details]
Detect s390(x) architecture and blacklist nmap

The patch looks fine, but I think we should still check whether the underlying issues are fixed via CVE-2016-2143.